| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gclib.GDataRecord30000 Struct Reference

Data record struct for DMC-30010 controllers. More...

Inheritance diagram for gclib.GDataRecord30000:

## Public Member Functions
byte[] | byte_array ()
| Returns the data record as a byte array and allows for access to individual bytes.

## Public Attributes
UB | header_0
| 1st Byte of Header.
UB | header_1
| 2nd Byte of Header.
UB | header_2
| 3rd Byte of Header.
UB | header_3
| 4th Byte of Header.
UW | sample_number
| sample number.
UB | input_bank_0
| general input bank 0 (inputs 1-8).
UB | input_bank_1
| general input bank 1 (inputs 9-16).
UB | output_bank_0
| general output bank 0 (outputs 1-8).
UB | output_bank_1
| general output bank 1 (outputs 9-16).
UB | error_code
| error code.
UB | thread_status
| thread status.
UW | input_analog_2
| Analog input 2. 1 is in axis data, see axis_a_analog_in.
UW | output_analog_1
| Analog output 1.
UW | output_analog_2
| Analog output 2.
UL | amplifier_status
| Amplifier Status.
UL | contour_segment_count
| Segment Count for Contour Mode.
UW | contour_buffer_available
| Buffer space remaining, Contour Mode.
UW | s_plane_segment_count
| segment count of coordinated move for S plane.
UW | s_plane_move_status
| coordinated move status for S plane.
SL | s_distance
| distance traveled in coordinated move for S plane.
UW | s_plane_buffer_available
| Buffer space remaining, S Plane.
UW | axis_a_status
| A axis status.
UB | axis_a_switches
| A axis switches.
UB | axis_a_stop_code
| A axis stop code.
SL | axis_a_reference_position
| A axis reference position.
SL | axis_a_motor_position
| A axis motor position.
SL | axis_a_position_error
| A axis position error.
SL | axis_a_aux_position
| A axis auxiliary position.
SL | axis_a_velocity
| A axis velocity.
SL | axis_a_torque
| A axis torque.
UW | axis_a_analog_in
| A axis analog input.
UB | axis_a_halls
| A Hall Input Status.
UB | axis_a_reserved
| Reserved.
SL | axis_a_variable
| A User-defined variable (ZA).

## Detailed Description

Data record struct for DMC-30010 controllers.

Definition at line 1716 of file gclib.cs.

## Member Function Documentation

## ◆ byte_array()

byte[] gclib.GDataRecord30000.byte_array | ( |  | ) |
| inline

Returns the data record as a byte array and allows for access to individual bytes.

Implements gclib.GDataRecord.

Definition at line 1718 of file gclib.cs.

## Member Data Documentation

## ◆ header_0

UB gclib.GDataRecord30000.header_0

1st Byte of Header.

Definition at line 1722 of file gclib.cs.

## ◆ header_1

UB gclib.GDataRecord30000.header_1

2nd Byte of Header.

Definition at line 1723 of file gclib.cs.

## ◆ header_2

UB gclib.GDataRecord30000.header_2

3rd Byte of Header.

Definition at line 1724 of file gclib.cs.

## ◆ header_3

UB gclib.GDataRecord30000.header_3

4th Byte of Header.

Definition at line 1725 of file gclib.cs.

## ◆ sample_number

UW gclib.GDataRecord30000.sample_number

sample number.

Definition at line 1727 of file gclib.cs.

## ◆ input_bank_0

UB gclib.GDataRecord30000.input_bank_0

general input bank 0 (inputs 1-8).

Definition at line 1729 of file gclib.cs.

## ◆ input_bank_1

UB gclib.GDataRecord30000.input_bank_1

general input bank 1 (inputs 9-16).

Definition at line 1730 of file gclib.cs.

## ◆ output_bank_0

UB gclib.GDataRecord30000.output_bank_0

general output bank 0 (outputs 1-8).

Definition at line 1732 of file gclib.cs.

## ◆ output_bank_1

UB gclib.GDataRecord30000.output_bank_1

general output bank 1 (outputs 9-16).

Definition at line 1733 of file gclib.cs.

## ◆ error_code

UB gclib.GDataRecord30000.error_code

error code.

Definition at line 1735 of file gclib.cs.

## ◆ thread_status

UB gclib.GDataRecord30000.thread_status

thread status.

Definition at line 1736 of file gclib.cs.

## ◆ input_analog_2

UW gclib.GDataRecord30000.input_analog_2

Analog input 2. 1 is in axis data, see axis_a_analog_in.

Definition at line 1738 of file gclib.cs.

## ◆ output_analog_1

UW gclib.GDataRecord30000.output_analog_1

Analog output 1.

Definition at line 1740 of file gclib.cs.

## ◆ output_analog_2

UW gclib.GDataRecord30000.output_analog_2

Analog output 2.

Definition at line 1741 of file gclib.cs.

## ◆ amplifier_status

UL gclib.GDataRecord30000.amplifier_status

Amplifier Status.

Definition at line 1743 of file gclib.cs.

## ◆ contour_segment_count

UL gclib.GDataRecord30000.contour_segment_count

Segment Count for Contour Mode.

Definition at line 1745 of file gclib.cs.

## ◆ contour_buffer_available

UW gclib.GDataRecord30000.contour_buffer_available

Buffer space remaining, Contour Mode.

Definition at line 1746 of file gclib.cs.

## ◆ s_plane_segment_count

UW gclib.GDataRecord30000.s_plane_segment_count

segment count of coordinated move for S plane.

Definition at line 1748 of file gclib.cs.

## ◆ s_plane_move_status

UW gclib.GDataRecord30000.s_plane_move_status

coordinated move status for S plane.

Definition at line 1749 of file gclib.cs.

## ◆ s_distance

SL gclib.GDataRecord30000.s_distance

distance traveled in coordinated move for S plane.

Definition at line 1750 of file gclib.cs.

## ◆ s_plane_buffer_available

UW gclib.GDataRecord30000.s_plane_buffer_available

Buffer space remaining, S Plane.

Definition at line 1751 of file gclib.cs.

## ◆ axis_a_status

UW gclib.GDataRecord30000.axis_a_status

A axis status.

Definition at line 1753 of file gclib.cs.

## ◆ axis_a_switches

UB gclib.GDataRecord30000.axis_a_switches

A axis switches.

Definition at line 1754 of file gclib.cs.

## ◆ axis_a_stop_code

UB gclib.GDataRecord30000.axis_a_stop_code

A axis stop code.

Definition at line 1755 of file gclib.cs.

## ◆ axis_a_reference_position

SL gclib.GDataRecord30000.axis_a_reference_position

A axis reference position.

Definition at line 1756 of file gclib.cs.

## ◆ axis_a_motor_position

SL gclib.GDataRecord30000.axis_a_motor_position

A axis motor position.

Definition at line 1757 of file gclib.cs.

## ◆ axis_a_position_error

SL gclib.GDataRecord30000.axis_a_position_error

A axis position error.

Definition at line 1758 of file gclib.cs.

## ◆ axis_a_aux_position

SL gclib.GDataRecord30000.axis_a_aux_position

A axis auxiliary position.

Definition at line 1759 of file gclib.cs.

## ◆ axis_a_velocity

SL gclib.GDataRecord30000.axis_a_velocity

A axis velocity.

Definition at line 1760 of file gclib.cs.

## ◆ axis_a_torque

SL gclib.GDataRecord30000.axis_a_torque

A axis torque.

Definition at line 1761 of file gclib.cs.

## ◆ axis_a_analog_in

UW gclib.GDataRecord30000.axis_a_analog_in

A axis analog input.

Definition at line 1762 of file gclib.cs.

## ◆ axis_a_halls

UB gclib.GDataRecord30000.axis_a_halls

A Hall Input Status.

Definition at line 1763 of file gclib.cs.

## ◆ axis_a_reserved

UB gclib.GDataRecord30000.axis_a_reserved

Reserved.

Definition at line 1764 of file gclib.cs.

## ◆ axis_a_variable

SL gclib.GDataRecord30000.axis_a_variable

A User-defined variable (ZA).

Definition at line 1765 of file gclib.cs.

The documentation for this struct was generated from the following file:

- gclib.cs